#include<iostream>
using namespace std;
long long n;
int main (){
    int br = 1;
    int del = 1;
    cin>>n;
    for(int i = 2; i <= n; i ++){
        while(n%i == 0){
            n=n/i;
            del++;
        }
    }
    br+=(del-1)*(del-2)/2;
    cout<<br<<endl;

    return 0;
}
